zabbix_export:
  version: '7.0'
  template_groups:
    - uuid: 846977d1dfed4968bc5f8bdb363285bc
      name: 'Templates/Operating systems'
  templates:
    - uuid: bbddafacd969490db0db1de2a87af57c
      template: 'Monitoramento Speedtest'
      name: 'Monitoramento Speedtest'
      description: |
        Modelo oficial para Linux. Requer o agente Zabbix 6.0 ou superior.
        
        Você pode discutir este modelo ou deixar seu feedback em nosso fórum: https://www.zabbix.com/forum/zabbix-suggestions-and-feedback/387225-discussion-thread-for-official-zabbix-template-for-linux
        
        Gerado pela ferramenta oficial de modelos do Zabbix, "Templator".
      groups:
        - name: 'Templates/Operating systems'
      items:
        - uuid: f89d60e9066244088afd2a8e9f48d09e
          name: 'Linux: Nome do host do agente Zabbix em execução'
          key: agent.hostname
          delay: 1h
          history: 7d
          value_type: CHAR
          trends: '0'
          preprocessing:
            - type: DISCARD_UNCHANGED_HEARTBEAT
              parameters:
                - 1d
          tags:
            - tag: componente
              value: sistema
        - uuid: 48201290915642438c21c801c68de6da
          name: 'Linux: ping do agente Zabbix'
          key: agent.ping
          history: 7d
          description: 'O agente sempre retorna 1 para este item. Ele pode ser usado em conjunto com nodata() para verificação de disponibilidade.'
          valuemap:
            name: 'Zabbix agent ping status'
          tags:
            - tag: componente
              value: sistema
        - uuid: e82fbe0495cb423ababaa0ae079fc654
          name: 'Linux: Versão do agente Zabbix em execução'
          key: agent.version
          delay: 1h
          history: 7d
          value_type: CHAR
          trends: '0'
          preprocessing:
            - type: DISCARD_UNCHANGED_HEARTBEAT
              parameters:
                - 1d
          tags:
            - tag: componente
              value: aplicação
        - uuid: 9fa17c0d636749778402e083bf07dc32
          name: 'Linux: Número máximo de processos'
          key: kernel.maxproc
          delay: 1h
          history: 7d
          description: 'Isso pode ser aumentado usando o utilitário `sysctl` ou modificando o arquivo `/etc/sysctl.conf`.'
          preprocessing:
            - type: DISCARD_UNCHANGED_HEARTBEAT
              parameters:
                - 1d
          tags:
            - tag: componente
              value: sistema
        - uuid: 3a0da94a32584682a42589578b0f06cd
          name: 'Verificação de Disponibilidade da Porta 443/tcp'
          key: 'net.tcp.listen[443]'
          history: 90d
          description: |
            Verifca se a porta 443/tcp usada pelo Speedtest está em aberta (LISTEN).
            
            1 = Porta Aberta (Listen)
            0 = Porta Fechada
            
            Para mais, consulte: 
            
            https://support.ookla.com/hc/en-us/articles/360027274852-Which-Protocols-and-Ports-am-I-Required-to-Use
          valuemap:
            name: 'Mapeamento de Portas'
          triggers:
            - uuid: 911dd0f9e0ee49acb47fd5d1d5fe21ce
              expression: 'last(/Monitoramento Speedtest/net.tcp.listen[443],#3)=0'
              recovery_mode: RECOVERY_EXPRESSION
              recovery_expression: 'last(/Monitoramento Speedtest/net.tcp.listen[443])=1'
              name: 'Porta 443/TCP possivelmente fechada!'
              priority: HIGH
        - uuid: b7e5ea85dc9a4e95a4d4aaf8b1b2888a
          name: 'Verificação de Disponibilidade da Porta 5060/tcp'
          key: 'net.tcp.listen[5060]'
          history: 90d
          description: |
            Verifca se a porta 5060/tcp usada pelo Speedtest está em aberta (LISTEN).
            
            1 = Porta Aberta (Listen)
            0 = Porta Fechada
            
            Para mais, consulte: 
            
            https://support.ookla.com/hc/en-us/articles/360027274852-Which-Protocols-and-Ports-am-I-Required-to-Use
          valuemap:
            name: 'Mapeamento de Portas'
          triggers:
            - uuid: 51a6451ff89142dba4252f2647be8e46
              expression: 'last(/Monitoramento Speedtest/net.tcp.listen[5060],#3)=0'
              recovery_mode: RECOVERY_EXPRESSION
              recovery_expression: 'last(/Monitoramento Speedtest/net.tcp.listen[5060])=1'
              name: 'Porta 5060/TCP possivelmente fechada!'
              priority: HIGH
        - uuid: 324fc714f3b74a12ac1ea4b4d1a2a872
          name: 'Verificação de Disponibilidade da Porta 8080/tcp'
          key: 'net.tcp.listen[8080]'
          history: 90d
          description: |
            Verifca se a porta 8080/tcp usada pelo Speedtest está em aberta (LISTEN).
            
            1 = Porta Aberta (Listen)
            0 = Porta Fechada
            
            Para mais, consulte: 
            
            https://support.ookla.com/hc/en-us/articles/360027274852-Which-Protocols-and-Ports-am-I-Required-to-Use
          valuemap:
            name: 'Mapeamento de Portas'
          triggers:
            - uuid: 7f274976f84741e1aa67863ddfa52c38
              expression: 'last(/Monitoramento Speedtest/net.tcp.listen[8080],#3)=0'
              recovery_mode: RECOVERY_EXPRESSION
              recovery_expression: 'last(/Monitoramento Speedtest/net.tcp.listen[8080])=1'
              name: 'Porta 8080/TCP possivelmente fechada!'
              priority: HIGH
        - uuid: 705f7e0a435c4caaa703723d0a767110
          name: 'Verificação de Disponibilidade da Porta 5060/udp'
          key: 'net.udp.listen[5060]'
          history: 90d
          description: |
            Verifca se a porta 5060/udp usada pelo Speedtest está em aberta (LISTEN).
            
            1 = Porta Aberta (Listen)
            0 = Porta Fechada
            
            Para mais, consulte: 
            
            https://support.ookla.com/hc/en-us/articles/360027274852-Which-Protocols-and-Ports-am-I-Required-to-Use
          valuemap:
            name: 'Mapeamento de Portas'
          triggers:
            - uuid: f47ab0c33ed448a592cffc1b6bf35b7d
              expression: 'last(/Monitoramento Speedtest/net.udp.listen[5060],#3)=0'
              recovery_mode: RECOVERY_EXPRESSION
              recovery_expression: 'last(/Monitoramento Speedtest/net.udp.listen[5060])=1'
              name: 'Porta 5060/UDP possivelmente fechada!'
              priority: HIGH
        - uuid: 7babb9a1899c4909b2809688489d3f08
          name: 'Verificação de Disponibilidade da Porta 8080/udp'
          key: 'net.udp.listen[8080]'
          history: 90d
          description: |
            Verifca se a porta 8080/udp usada pelo Speedtest está em aberta (LISTEN).
            
            1 = Porta Aberta (Listen)
            0 = Porta Fechada
            
            Para mais, consulte: 
            
            https://support.ookla.com/hc/en-us/articles/360027274852-Which-Protocols-and-Ports-am-I-Required-to-Use
          valuemap:
            name: 'Mapeamento de Portas'
          triggers:
            - uuid: 3d881ce47509416384b288005cbcbcb1
              expression: 'last(/Monitoramento Speedtest/net.udp.listen[8080],#3)=0'
              recovery_mode: RECOVERY_EXPRESSION
              recovery_expression: 'last(/Monitoramento Speedtest/net.udp.listen[8080])=1'
              name: 'Porta 8080/UDP possivelmente fechada!'
              priority: HIGH
        - uuid: 0d9f3fc580084d819d552c7169918423
          name: 'Linux: Tempo de inicialização do sistema'
          key: system.boottime
          delay: 15m
          history: 7d
          units: unixtime
          preprocessing:
            - type: DISCARD_UNCHANGED_HEARTBEAT
              parameters:
                - 1h
          tags:
            - tag: componente
              value: sistema
        - uuid: 9116fa5b583a4dceb0b0ad0debed17a5
          name: 'Linux: Carga média no CPU (média de 1 minuto)'
          key: 'system.cpu.load[all,avg1]'
          history: 7d
          value_type: FLOAT
          tags:
            - tag: componente
              value: cpu
        - uuid: 9bca27cf86254a7c8e960df9a2fe52bb
          name: 'Linux: Carga média no CPU (média de 5 minutos)'
          key: 'system.cpu.load[all,avg5]'
          history: 7d
          value_type: FLOAT
          tags:
            - tag: componente
              value: cpu
        - uuid: 97400d44b8b845c99c73cabf5a541760
          name: 'Linux: Carga média no CPU (média de 15 minutos)'
          key: 'system.cpu.load[all,avg15]'
          history: 7d
          value_type: FLOAT
          tags:
            - tag: componente
              value: cpu
        - uuid: 7b8b5d90033941a297a98d8714d38018
          name: 'Linux: Número de CPUs'
          key: system.cpu.num
          history: 7d
          preprocessing:
            - type: DISCARD_UNCHANGED_HEARTBEAT
              parameters:
                - 1d
          tags:
            - tag: componente
              value: cpu
        - uuid: 546dc042e1104ea48323496c14942eba
          name: 'Linux: CPU tempo de espera'
          key: 'system.cpu.util[,iowait]'
          history: 7d
          value_type: FLOAT
          units: '%'
          description: 'O tempo que a CPU está aguardando a conclusão da operação de E/S.'
          tags:
            - tag: componente
              value: cpu
        - uuid: ca66ab1ff64c45848fc34ccbdec3f557
          name: 'Linux: Tempo do sistema CPU'
          key: 'system.cpu.util[,system]'
          history: 7d
          value_type: FLOAT
          units: '%'
          description: 'O tempo que a CPU passou executando o kernel e seus processos.'
          tags:
            - tag: componente
              value: cpu
        - uuid: 16351df7873847839ff214f414b805cf
          name: 'Linux: Nome do Sistema'
          key: system.hostname
          delay: 1h
          history: 7d
          value_type: CHAR
          trends: '0'
          description: 'O nome do host do sistema.'
          inventory_link: NAME
          preprocessing:
            - type: DISCARD_UNCHANGED_HEARTBEAT
              parameters:
                - 12h
          tags:
            - tag: componente
              value: sistema
        - uuid: 787d32d5b1ea42e395ce35e9e4e2f4b9
          name: 'Linux: Hora local do Sistema'
          key: system.localtime
          history: 7d
          units: unixtime
          description: 'A hora do sistema local do host.'
          tags:
            - tag: componente
              value: sistema
          triggers:
            - uuid: 8d4d047d18284dc8b25399566095c788
              expression: 'fuzzytime(/Monitoramento Speedtest/system.localtime,{$SYSTEM.FUZZYTIME.MAX})=0'
              name: 'Linux: A hora do sistema está dessincronizada'
              event_name: 'Linux: O horário do sistema está dessincronizado (diferença com o servidor Zabbix > {$SYSTEM.FUZZYTIME.MAX}s)'
              priority: WARNING
              description: 'O horário do sistema do host é diferente do horário do servidor Zabbix.'
              manual_close: 'YES'
              tags:
                - tag: escopo
                  value: desempenho
                - tag: escopo
                  value: disponibilidade
        - uuid: b5106b51329d4296a9237a694d4b47c0
          name: 'Linux: Sistema Operacional'
          key: system.sw.os
          delay: 1h
          history: 7d
          value_type: CHAR
          trends: '0'
          inventory_link: OS
          preprocessing:
            - type: DISCARD_UNCHANGED_HEARTBEAT
              parameters:
                - 1d
          tags:
            - tag: componente
              value: 'sistema operacional'
        - uuid: cc2fd05f7b504949b6eb864ac66caea3
          name: 'Linux: Espaço Livre para Swap'
          key: 'system.swap.size[,free]'
          history: 7d
          units: B
          description: 'O espaço livre do volume/arquivo de swap, expresso em bytes.'
          tags:
            - tag: componente
              value: armazenamento
            - tag: componente
              value: memoria
        - uuid: 677936ad254242f5924e53a1c2d0c410
          name: 'Linux:Espaço Livre para Swap em %'
          key: 'system.swap.size[,pfree]'
          history: 7d
          value_type: FLOAT
          units: '%'
          description: 'O espaço livre do volume/arquivo de swap expresso em %.'
          tags:
            - tag: componente
              value: armazenamento
            - tag: componente
              value: memoria
        - uuid: a758154505db4eb7acb48be2ad0d69c6
          name: 'Linux: Espaço total de Swap'
          key: 'system.swap.size[,total]'
          history: 7d
          units: B
          description: 'O espaço total do volume/arquivo de swap, expresso em bytes.'
          tags:
            - tag: componente
              value: armazenamento
            - tag: componente
              value: memoria
        - uuid: 00863c2311764a66aa175763dc3ee667
          name: 'Linux: descrição do sistema'
          key: system.uname
          delay: 15m
          history: 7d
          value_type: CHAR
          trends: '0'
          description: 'As informações normalmente retornadas por `uname -a`.'
          preprocessing:
            - type: DISCARD_UNCHANGED_HEARTBEAT
              parameters:
                - 12h
          tags:
            - tag: componente
              value: sistema
        - uuid: ee8145a128874dfab32fbad98776c971
          name: 'Linux: Tempo de atividade do sistema'
          key: system.uptime
          delay: 30s
          history: 7d
          trends: '0'
          units: uptime
          description: 'O tempo de atividade do sistema é expresso no seguinte formato: "N dias, hh:mm:ss".'
          tags:
            - tag: componente
              value: sistema
          triggers:
            - uuid: 29a71b4438e84b918ec3f9e28dafa412
              expression: 'last(/Monitoramento Speedtest/system.uptime)<5m'
              name: 'Linux: {HOST.NAME} foi reiniciado'
              event_name: 'Linux: {HOST.NAME} foi reiniciado (tempo de atividade < 5m)'
              priority: WARNING
              description: 'O tempo de atividade do host é inferior a 5 minutos.'
              manual_close: 'YES'
              tags:
                - tag: escopo
                  value: informação
        - uuid: ee89aa5b87de4b62b16507d8fd556b9f
          name: 'Status Speedtest'
          key: verifica.speedtest
          history: 7d
          trends: '0'
          description: |
            Verifica o Status do Serviço. Se retorna:
            
            0 - Serviço Inativo por algum motivo
            1 - Serviço Ativo
          valuemap:
            name: 'Status do Serviço'
          triggers:
            - uuid: bd03481e05cb4ddf8cd212733407e033
              expression: 'last(/Monitoramento Speedtest/verifica.speedtest,#3)=0'
              recovery_mode: RECOVERY_EXPRESSION
              recovery_expression: 'last(/Monitoramento Speedtest/verifica.speedtest)=1'
              name: 'Serviço do Speedtest não está em funcionamento!'
        - uuid: b03f88921f0f42748e38e69b9a444503
          name: 'Linux: Memória Disponível'
          key: 'vm.memory.size[available]'
          history: 7d
          units: B
          description: |
            A memória disponível:
            - No Linux - Disponível = free + buffers + cache;
            - Em outras plataformas, o cálculo pode variar.
            
            Consulte também os Apêndices na Documentação do Zabbix sobre os parâmetros do item `vm.memory.size`.
          tags:
            - tag: componente
              value: memoria
        - uuid: 6ae1a793a94a424394ea08b8849106f8
          name: 'Linux: Memória disponível em %'
          key: 'vm.memory.size[pavailable]'
          history: 7d
          value_type: FLOAT
          units: '%'
          description: 'Memória disponível em porcentagem do total. Consulte também os Apêndices na Documentação do Zabbix sobre os parâmetros do item `vm.memory.size`.'
          tags:
            - tag: componente
              value: memoria
        - uuid: 6afe7643b7a145c6bc07d3d36333b446
          name: 'Linux: Memória Total'
          key: 'vm.memory.size[total]'
          history: 7d
          units: B
          description: 'The total memory expressed in bytes.'
          tags:
            - tag: componente
              value: memoria
        - uuid: ef98ae5713f24fbe95c69f36d511c6ea
          name: 'Linux: Memory utilization'
          type: DEPENDENT
          key: vm.memory.utilization
          delay: '0'
          history: 7d
          value_type: FLOAT
          units: '%'
          description: 'The percentage of used memory is calculated as `100-pavailable`.'
          preprocessing:
            - type: JAVASCRIPT
              parameters:
                - 'return (100-value);'
          master_item:
            key: 'vm.memory.size[pavailable]'
          tags:
            - tag: componente
              value: memoria
          triggers:
            - uuid: 2ec21e7ac11445ae83a9b99b18048338
              expression: 'min(/Monitoramento Speedtest/vm.memory.utilization,5m)>{$MEMORY.UTIL.MAX}'
              name: 'Linux: Alto consumo de memória'
              event_name: 'Linux: Alta utilização de memória (>{$MEMORY.UTIL.MAX}% por 5 minutos)'
              priority: AVERAGE
              description: 'O sistema está ficando sem memória livre.'
              manual_close: 'YES'
              dependencies:
                - name: 'Linux: Falta de memória disponível'
                  expression: 'max(/Monitoramento Speedtest/vm.memory.size[available],5m)<{$MEMORY.AVAILABLE.MIN} and last(/Monitoramento Speedtest/vm.memory.size[total])>0'
              tags:
                - tag: escopo
                  value: capacidade
                - tag: escopo
                  value: desempenho
        - uuid: b0aee92ea31c438b967d9f3b1ea55aa4
          name: 'Linux: Disponibilidade do Zabbix Agent'
          type: INTERNAL
          key: 'zabbix[host,agent,available]'
          history: 7d
          description: 'Monitorar o status de disponibilidade do agente.'
          valuemap:
            name: zabbix.host.available
          tags:
            - tag: componente
              value: sistema
          triggers:
            - uuid: eb552cac943f4205a44812c12616cc54
              expression: 'max(/Monitoramento Speedtest/zabbix[host,agent,available],{$AGENT.TIMEOUT})=0'
              name: 'Linux: O agente Zabbix não está disponível.'
              event_name: 'Linux: O agente Zabbix não está disponível (para {$AGENT.TIMEOUT})'
              priority: AVERAGE
              description: 'Para agentes somente passivos, a disponibilidade do host é usada com {$AGENT.TIMEOUT} como limite de tempo.'
              manual_close: 'YES'
              tags:
                - tag: escopo
                  value: disponibilidade
      discovery_rules:
        - uuid: 5e4c1de7fb9342ca8ec4fe4d778908ba
          name: 'Descoberta de Interface de Rede'
          key: net.if.discovery
          delay: 1h
          filter:
            evaltype: AND
            conditions:
              - macro: '{#IFNAME}'
                value: '{$NET.IF.IFNAME.MATCHES}'
                formulaid: A
              - macro: '{#IFNAME}'
                value: '{$NET.IF.IFNAME.NOT_MATCHES}'
                operator: NOT_MATCHES_REGEX
                formulaid: B
          lifetime: 30d
          enabled_lifetime_type: DISABLE_NEVER
          description: 'A descoberta de interfaces de rede.'
          item_prototypes:
            - uuid: 30fc767daef04eb6abad2e2223488d3a
              name: 'Interface {#IFNAME}: Pacotes de entrada descartados'
              key: 'net.if.in["{#IFNAME}",dropped]'
              delay: 3m
              history: 7d
              preprocessing:
                - type: CHANGE_PER_SECOND
                  parameters:
                    - ''
              tags:
                - tag: componente
                  value: rede
                - tag: interface
                  value: '{#IFNAME}'
            - uuid: 37103520c60340edb47cf316fbf6e1e8
              name: 'Interface {#IFNAME}: Pacotes de entrada com erros'
              key: 'net.if.in["{#IFNAME}",errors]'
              delay: 3m
              history: 7d
              preprocessing:
                - type: CHANGE_PER_SECOND
                  parameters:
                    - ''
              tags:
                - tag: componente
                  value: rede
                - tag: interface
                  value: '{#IFNAME}'
            - uuid: 5dc8924509c043a5a35bddbf638e3a2a
              name: 'Interface {#IFNAME}: Bits Recebidos'
              key: 'net.if.in["{#IFNAME}"]'
              delay: 3m
              history: 7d
              units: bps
              preprocessing:
                - type: CHANGE_PER_SECOND
                  parameters:
                    - ''
                - type: MULTIPLIER
                  parameters:
                    - '8'
              tags:
                - tag: componente
                  value: rede
                - tag: interface
                  value: '{#IFNAME}'
            - uuid: 131ff9e50f6d426ab33b0ede63162356
              name: 'Interface {#IFNAME}: Pacotes de saída descartados'
              key: 'net.if.out["{#IFNAME}",dropped]'
              delay: 3m
              history: 7d
              preprocessing:
                - type: CHANGE_PER_SECOND
                  parameters:
                    - ''
              tags:
                - tag: componente
                  value: rede
                - tag: interface
                  value: '{#IFNAME}'
            - uuid: a21c2ff0a56443ba9375d008b9cb367a
              name: 'Interface {#IFNAME}: Pacotes de saída com erros'
              key: 'net.if.out["{#IFNAME}",errors]'
              delay: 3m
              history: 7d
              preprocessing:
                - type: CHANGE_PER_SECOND
                  parameters:
                    - ''
              tags:
                - tag: componente
                  value: rede
                - tag: interface
                  value: '{#IFNAME}'
            - uuid: 6ea816959f4b47c09902f652c91f2718
              name: 'Interface {#IFNAME}: Bits Enviados'
              key: 'net.if.out["{#IFNAME}"]'
              delay: 3m
              history: 7d
              units: bps
              preprocessing:
                - type: CHANGE_PER_SECOND
                  parameters:
                    - ''
                - type: MULTIPLIER
                  parameters:
                    - '8'
              tags:
                - tag: componente
                  value: rede
                - tag: interface
                  value: '{#IFNAME}'
            - uuid: a335084f358f4309a08e528890417c81
              name: 'Interface {#IFNAME}: Status Operacional'
              key: 'vfs.file.contents["/sys/class/net/{#IFNAME}/operstate"]'
              history: 7d
              trends: '0'
              description: 'Reference: https://www.kernel.org/doc/Documentation/networking/operstates.txt'
              valuemap:
                name: ifOperStatus
              preprocessing:
                - type: JAVASCRIPT
                  parameters:
                    - |
                      var newvalue;
                      switch(value) {
                        case "unknown":
                      newvalue = 0;
                      break;
                        case "notpresent":
                      newvalue = 1;
                      break;
                        case "down":
                      newvalue = 2;
                      break;
                        case "lowerlayerdown":
                      newvalue = 3;
                      break;
                        case "testing":
                      newvalue = 4;
                      break;
                        case "dormant":
                      newvalue = 5;
                      break;
                        case "up":
                      newvalue = 6;
                      break;  default:
                      newvalue = "Problem parsing interface operstate in JS";
                      }
                      return newvalue;
              tags:
                - tag: componente
                  value: rede
                - tag: interface
                  value: '{#IFNAME}'
              trigger_prototypes:
                - uuid: 475d9a96a54a40b581027fb5ec2a01a1
                  expression: '{$IFCONTROL:"{#IFNAME}"}=1 and last(/Monitoramento Speedtest/vfs.file.contents["/sys/class/net/{#IFNAME}/operstate"])=2 and (last(/Monitoramento Speedtest/vfs.file.contents["/sys/class/net/{#IFNAME}/operstate"],#1)<>last(/Monitoramento Speedtest/vfs.file.contents["/sys/class/net/{#IFNAME}/operstate"],#2))'
                  recovery_mode: RECOVERY_EXPRESSION
                  recovery_expression: 'last(/Monitoramento Speedtest/vfs.file.contents["/sys/class/net/{#IFNAME}/operstate"])<>2 or {$IFCONTROL:"{#IFNAME}"}=0'
                  name: 'Interface {#IFNAME}: Link down'
                  opdata: 'Current state: {ITEM.LASTVALUE1}'
                  priority: AVERAGE
                  description: |
                    Esta expressão de gatilho funciona da seguinte forma:
                    1. Ela pode ser acionada se o status da operação estiver inativo.
                    
                    2. `{$IFCONTROL:"{#IFNAME}"}=1` - um usuário pode redefinir a macro de contexto para o valor -0. Isso marca esta interface como não importante. Nenhum novo gatilho será disparado se esta interface estiver inativa.
                    
                    3. `{TEMPLATE_NAME:METRIC.diff()}=1` - o gatilho é disparado somente se o status operacional estava em (1) em algum momento anterior (portanto, não dispara para interfaces 'permanentemente inativas').
                    
                    AVISO: se fechada manualmente, ela não será disparada novamente na próxima verificação, devido ao .diff.
                  manual_close: 'YES'
                  tags:
                    - tag: escopo
                      value: disponibilidade
            - uuid: 40019b337e634c7e921b97cfc913cdcf
              name: 'Interface {#IFNAME}: Velocidade de Negociação da Interface'
              key: 'vfs.file.contents["/sys/class/net/{#IFNAME}/speed"]'
              delay: 5m
              history: 7d
              trends: '0'
              units: bps
              description: |
                Indica o valor de velocidade mais recente ou atual da interface. O valor é um número inteiro que representa a velocidade do link expressa em bits/seg.
                Este atributo é válido apenas para as interfaces que implementam o método `get_link_ksettings` do ethtool (principalmente Ethernet).
                
                Referência: https://www.kernel.org/doc/Documentation/ABI/testing/sysfs-class-net
              valuemap:
                name: Speed
              preprocessing:
                - type: MULTIPLIER
                  parameters:
                    - '1000000'
                - type: DISCARD_UNCHANGED_HEARTBEAT
                  parameters:
                    - 1h
                - type: JAVASCRIPT
                  parameters:
                    - |
                      var v = parseInt(value, 10);
                      if (isNaN(v) || v <= 0) {
                        return 0;   // unsigned aceita
                      }
                      return v;     // Mbps
              tags:
                - tag: componente
                  value: rede
                - tag: interface
                  value: '{#IFNAME}'
          trigger_prototypes:
            - uuid: e47d2aabc1a24f6087c1a7c75538a0af
              expression: |
                min(/Monitoramento Speedtest/net.if.in["{#IFNAME}",errors],5m)>{$IF.ERRORS.WARN:"{#IFNAME}"}
                or min(/Monitoramento Speedtest/net.if.out["{#IFNAME}",errors],5m)>{$IF.ERRORS.WARN:"{#IFNAME}"}
              recovery_mode: RECOVERY_EXPRESSION
              recovery_expression: |
                max(/Monitoramento Speedtest/net.if.in["{#IFNAME}",errors],5m)<{$IF.ERRORS.WARN:"{#IFNAME}"}*0.8
                and max(/Monitoramento Speedtest/net.if.out["{#IFNAME}",errors],5m)<{$IF.ERRORS.WARN:"{#IFNAME}"}*0.8
              name: 'Interface {#IFNAME}: Alta taxa de erros'
              event_name: 'Interface {#IFNAME}: Alta taxa de erros (>{$IF.ERRORS.WARN:"{#IFNAME}"} por 5 minutos)'
              opdata: 'Erros de entrada: {ITEM.LASTVALUE1}, Erros de saída: {ITEM.LASTVALUE2}'
              priority: WARNING
              description: 'Ele se recupera quando está abaixo de 80% do limite `{$IF.ERRORS.WARN:"{#IFNAME}"}`.'
              manual_close: 'YES'
              dependencies:
                - name: 'Interface {#IFNAME}: Link down'
                  expression: '{$IFCONTROL:"{#IFNAME}"}=1 and last(/Monitoramento Speedtest/vfs.file.contents["/sys/class/net/{#IFNAME}/operstate"])=2 and (last(/Monitoramento Speedtest/vfs.file.contents["/sys/class/net/{#IFNAME}/operstate"],#1)<>last(/Monitoramento Speedtest/vfs.file.contents["/sys/class/net/{#IFNAME}/operstate"],#2))'
                  recovery_expression: 'last(/Monitoramento Speedtest/vfs.file.contents["/sys/class/net/{#IFNAME}/operstate"])<>2 or {$IFCONTROL:"{#IFNAME}"}=0'
              tags:
                - tag: escopo
                  value: disponibilidade
                - tag: escopo
                  value: performance
            - uuid: 1e3c3e73d2f54d379a8057b5041289e6
              expression: |
                avg(/Monitoramento Speedtest/net.if.in["{#IFNAME}"],15m)
                >
                ({$IF.UTIL.MAX:"{#IFNAME}"}/100)
                *
                last(/Monitoramento Speedtest/vfs.file.contents["/sys/class/net/{#IFNAME}/speed"])
                and
                last(/Monitoramento Speedtest/vfs.file.contents["/sys/class/net/{#IFNAME}/speed"])>0
              name: 'Interface {#IFNAME}: Consumo da Interface está acima de 80%'
              priority: HIGH
              description: 'Se o consumo da interface for mais que 80%, irá alertar.'
              manual_close: 'YES'
          graph_prototypes:
            - uuid: 17a9cbdb69e8420e932439248104c1c4
              name: 'Interface {#IFNAME}: Network traffic'
              graph_items:
                - drawtype: GRADIENT_LINE
                  color: 199C0D
                  item:
                    host: 'Monitoramento Speedtest'
                    key: 'net.if.in["{#IFNAME}"]'
                - sortorder: '1'
                  drawtype: BOLD_LINE
                  color: F63100
                  item:
                    host: 'Monitoramento Speedtest'
                    key: 'net.if.out["{#IFNAME}"]'
                - sortorder: '2'
                  color: 00611C
                  yaxisside: RIGHT
                  item:
                    host: 'Monitoramento Speedtest'
                    key: 'net.if.out["{#IFNAME}",errors]'
                - sortorder: '3'
                  color: F7941D
                  yaxisside: RIGHT
                  item:
                    host: 'Monitoramento Speedtest'
                    key: 'net.if.in["{#IFNAME}",errors]'
                - sortorder: '4'
                  color: FC6EA3
                  yaxisside: RIGHT
                  item:
                    host: 'Monitoramento Speedtest'
                    key: 'net.if.out["{#IFNAME}",dropped]'
                - sortorder: '5'
                  color: 6C59DC
                  yaxisside: RIGHT
                  item:
                    host: 'Monitoramento Speedtest'
                    key: 'net.if.in["{#IFNAME}",dropped]'
        - uuid: 389bd6703ed04c69839fe652df0764a5
          name: 'Descoberta de Blocos do Sistemas'
          key: vfs.dev.discovery
          delay: 1h
          filter:
            evaltype: AND
            conditions:
              - macro: '{#DEVNAME}'
                value: '{$VFS.DEV.DEVNAME.MATCHES}'
                formulaid: A
              - macro: '{#DEVNAME}'
                value: '{$VFS.DEV.DEVNAME.NOT_MATCHES}'
                operator: NOT_MATCHES_REGEX
                formulaid: B
              - macro: '{#DEVTYPE}'
                value: disk
                formulaid: C
          lifetime: 30d
          enabled_lifetime_type: DISABLE_NEVER
          description: 'Realiza a descoberta dos blocos do disco do sistema. Para análise de I/O.'
          item_prototypes:
            - uuid: c8132c1b3434497080041a55235bf285
              name: '{#DEVNAME}: Tamanho médio da fila do disco (avgqu-sz)'
              type: DEPENDENT
              key: 'vfs.dev.queue_size[{#DEVNAME}]'
              delay: '0'
              history: 7d
              value_type: FLOAT
              description: 'A fila média atual do disco; o número de solicitações pendentes no disco enquanto os dados de desempenho estão sendo coletados.'
              preprocessing:
                - type: JSONPATH
                  parameters:
                    - '$[10]'
                - type: CHANGE_PER_SECOND
                  parameters:
                    - ''
                - type: MULTIPLIER
                  parameters:
                    - '0.001'
              master_item:
                key: 'vfs.file.contents[/sys/block/{#DEVNAME}/stat]'
              tags:
                - tag: componente
                  value: armazenamento
                - tag: disco
                  value: '{#DEVNAME}'
            - uuid: 90aace403d6e40b19ca3575ad4019a96
              name: '{#DEVNAME}: Tempo médio de espera para solicitações de leitura de disco (r_await)'
              type: CALCULATED
              key: 'vfs.dev.read.await[{#DEVNAME}]'
              history: 7d
              value_type: FLOAT
              units: '!ms'
              params: '(last(//vfs.dev.read.time.rate[{#DEVNAME}])/(last(//vfs.dev.read.rate[{#DEVNAME}])+(last(//vfs.dev.read.rate[{#DEVNAME}])=0)))*1000*(last(//vfs.dev.read.rate[{#DEVNAME}]) > 0)'
              description: 'Esta fórmula contém duas expressões booleanas que resultam em 1 ou 0 para definir a métrica calculada como zero e evitar a exceção de divisão por zero.'
              tags:
                - tag: componente
                  value: armazenamento
                - tag: disco
                  value: '{#DEVNAME}'
            - uuid: 4432eae0b0d249f8b753249143f74ab3
              name: '{#DEVNAME}: Taxa de leitura do disco'
              type: DEPENDENT
              key: 'vfs.dev.read.rate[{#DEVNAME}]'
              delay: '0'
              history: 7d
              value_type: FLOAT
              units: '!r/s'
              description: 'r/s (operações de leitura por segundo) - o número (após as fusões) de solicitações de leitura concluídas por segundo para o dispositivo.'
              preprocessing:
                - type: JSONPATH
                  parameters:
                    - '$[0]'
                - type: CHANGE_PER_SECOND
                  parameters:
                    - ''
              master_item:
                key: 'vfs.file.contents[/sys/block/{#DEVNAME}/stat]'
              tags:
                - tag: componente
                  value: armazenamento
                - tag: disco
                  value: '{#DEVNAME}'
            - uuid: a045e90ac2394b0c8e748d61f3bbcde7
              name: '{#DEVNAME}: Tempo de leitura do disco (taxa)'
              type: DEPENDENT
              key: 'vfs.dev.read.time.rate[{#DEVNAME}]'
              delay: '0'
              history: 7d
              value_type: FLOAT
              description: 'A taxa do contador de tempo total de leitura; usada no cálculo de `r_await`.'
              preprocessing:
                - type: JSONPATH
                  parameters:
                    - '$[3]'
                - type: CHANGE_PER_SECOND
                  parameters:
                    - ''
                - type: MULTIPLIER
                  parameters:
                    - '0.001'
              master_item:
                key: 'vfs.file.contents[/sys/block/{#DEVNAME}/stat]'
              tags:
                - tag: componente
                  value: armazenamento
                - tag: disco
                  value: '{#DEVNAME}'
            - uuid: d86f7553f62942bca28a451a39b02d63
              name: '{#DEVNAME}: Utilização do Disco'
              type: DEPENDENT
              key: 'vfs.dev.util[{#DEVNAME}]'
              delay: '0'
              history: 7d
              value_type: FLOAT
              units: '%'
              description: 'Este item representa a porcentagem do tempo decorrido durante o qual a unidade de disco selecionada esteve ocupada atendendo a solicitações de leitura ou gravação.'
              preprocessing:
                - type: JSONPATH
                  parameters:
                    - '$[9]'
                - type: CHANGE_PER_SECOND
                  parameters:
                    - ''
                - type: MULTIPLIER
                  parameters:
                    - '0.1'
              master_item:
                key: 'vfs.file.contents[/sys/block/{#DEVNAME}/stat]'
              tags:
                - tag: componente
                  value: armazenamento
                - tag: disco
                  value: '{#DEVNAME}'
            - uuid: c5420ee5050340e19d22e6f59bf0e508
              name: '{#DEVNAME}: Tempo médio de espera para solicitações de gravação em disco (w_await)'
              type: CALCULATED
              key: 'vfs.dev.write.await[{#DEVNAME}]'
              history: 7d
              value_type: FLOAT
              units: '!ms'
              params: '(last(//vfs.dev.write.time.rate[{#DEVNAME}])/(last(//vfs.dev.write.rate[{#DEVNAME}])+(last(//vfs.dev.write.rate[{#DEVNAME}])=0)))*1000*(last(//vfs.dev.write.rate[{#DEVNAME}]) > 0)'
              description: 'Esta fórmula contém duas expressões booleanas que resultam em 1 ou 0 para definir a métrica calculada como zero e evitar a exceção de divisão por zero.'
              tags:
                - tag: componente
                  value: armazenamento
                - tag: disco
                  value: '{#DEVNAME}'
            - uuid: ed9535d24bda48dc84a52da40ed5cba4
              name: '{#DEVNAME}: Taxa de gravação em disco'
              type: DEPENDENT
              key: 'vfs.dev.write.rate[{#DEVNAME}]'
              delay: '0'
              history: 7d
              value_type: FLOAT
              units: '!w/s'
              description: |
                w/s (operações de escrita por segundo) - o número (após mesclagens) de solicitações de escrita concluídas por segundo para o dispositivo.
                
                w = write/escrita
              preprocessing:
                - type: JSONPATH
                  parameters:
                    - '$[4]'
                - type: CHANGE_PER_SECOND
                  parameters:
                    - ''
              master_item:
                key: 'vfs.file.contents[/sys/block/{#DEVNAME}/stat]'
              tags:
                - tag: componente
                  value: armazenamento
                - tag: disco
                  value: '{#DEVNAME}'
            - uuid: 4ecbd7c231d14dc4978e772ce2e9235b
              name: '{#DEVNAME}: Tempo de gravação em disco (taxa)'
              type: DEPENDENT
              key: 'vfs.dev.write.time.rate[{#DEVNAME}]'
              delay: '0'
              history: 7d
              value_type: FLOAT
              description: 'A taxa do contador de tempo total de escrita; usada no cálculo de `w_await`.'
              preprocessing:
                - type: JSONPATH
                  parameters:
                    - '$[7]'
                - type: CHANGE_PER_SECOND
                  parameters:
                    - ''
                - type: MULTIPLIER
                  parameters:
                    - '0.001'
              master_item:
                key: 'vfs.file.contents[/sys/block/{#DEVNAME}/stat]'
              tags:
                - tag: componente
                  value: armazenamento
                - tag: disco
                  value: '{#DEVNAME}'
            - uuid: ed15181b8813474284315f75ba73c20c
              name: '{#DEVNAME}: Obtém Estatísticas'
              key: 'vfs.file.contents[/sys/block/{#DEVNAME}/stat]'
              history: '0'
              value_type: TEXT
              trends: '0'
              description: 'O conteúdo de `/sys/block/{#DEVNAME}/stat` serve para obter as estatísticas do disco.'
              preprocessing:
                - type: JAVASCRIPT
                  parameters:
                    - 'return JSON.stringify(value.trim().split(/ +/));'
              tags:
                - tag: componente
                  value: bruto
          trigger_prototypes:
            - uuid: 8b1c20c87fb446999e7003380337a25c
              expression: 'min(/Monitoramento Speedtest/vfs.dev.read.await[{#DEVNAME}],15m) > {$VFS.DEV.READ.AWAIT.WARN:"{#DEVNAME}"} or min(/Monitoramento Speedtest/vfs.dev.write.await[{#DEVNAME}],15m) > {$VFS.DEV.WRITE.AWAIT.WARN:"{#DEVNAME}"}'
              name: '{#DEVNAME}: As respostas às solicitações de leitura/gravação em disco estão muito altas.'
              event_name: '{#DEVNAME}: As respostas das solicitações de leitura/gravação em disco estão muito altas (leitura > {$VFS.DEV.READ.AWAIT.WARN:"{#DEVNAME}"} ms por 15 minutos ou gravação > {$VFS.DEV.WRITE.AWAIT.WARN:"{#DEVNAME}"} ms por 15 minutos)'
              priority: WARNING
              description: 'Esse gatilho pode indicar a saturação do disco `{#DEVNAME}`.'
              manual_close: 'YES'
              tags:
                - tag: escopo
                  value: desempenho
          graph_prototypes:
            - uuid: 124c1b02875a463296dab699566122a1
              name: '{#DEVNAME}: Taxas de leitura/gravação de disco'
              graph_items:
                - color: 199C0D
                  item:
                    host: 'Monitoramento Speedtest'
                    key: 'vfs.dev.read.rate[{#DEVNAME}]'
                - sortorder: '1'
                  drawtype: GRADIENT_LINE
                  color: F63100
                  item:
                    host: 'Monitoramento Speedtest'
                    key: 'vfs.dev.write.rate[{#DEVNAME}]'
            - uuid: c88e4b42ef4d417ab4661f8b115afaa4
              name: '{#DEVNAME}: Tempo médio de espera do disco'
              graph_items:
                - color: 199C0D
                  item:
                    host: 'Monitoramento Speedtest'
                    key: 'vfs.dev.read.await[{#DEVNAME}]'
                - sortorder: '1'
                  drawtype: GRADIENT_LINE
                  color: F63100
                  item:
                    host: 'Monitoramento Speedtest'
                    key: 'vfs.dev.write.await[{#DEVNAME}]'
            - uuid: dd358bf58c674d7e90a38268765bde02
              name: '{#DEVNAME}: Utilização de disco e fila'
              graph_items:
                - color: 199C0D
                  yaxisside: RIGHT
                  item:
                    host: 'Monitoramento Speedtest'
                    key: 'vfs.dev.queue_size[{#DEVNAME}]'
                - sortorder: '1'
                  drawtype: GRADIENT_LINE
                  color: F63100
                  item:
                    host: 'Monitoramento Speedtest'
                    key: 'vfs.dev.util[{#DEVNAME}]'
          preprocessing:
            - type: DISCARD_UNCHANGED_HEARTBEAT
              parameters:
                - 1h
        - uuid: cf05e41eb2fc4fdd879c2a4976b1e8f5
          name: 'Descoberta de sistema de arquivos montado'
          key: vfs.fs.discovery
          delay: 1h
          filter:
            evaltype: AND
            conditions:
              - macro: '{#FSNAME}'
                value: '{$VFS.FS.FSNAME.MATCHES}'
                formulaid: A
              - macro: '{#FSNAME}'
                value: '{$VFS.FS.FSNAME.NOT_MATCHES}'
                operator: NOT_MATCHES_REGEX
                formulaid: B
              - macro: '{#FSTYPE}'
                value: '{$VFS.FS.FSTYPE.MATCHES}'
                formulaid: C
              - macro: '{#FSTYPE}'
                value: '{$VFS.FS.FSTYPE.NOT_MATCHES}'
                operator: NOT_MATCHES_REGEX
                formulaid: D
          lifetime: 30d
          enabled_lifetime_type: DISABLE_NEVER
          description: 'A descoberta de sistemas de arquivos montados com diferentes tipos.'
          item_prototypes:
            - uuid: ba5171bc127e4d54a915747a671d2348
              name: '{#FSNAME}: Inodes Livres em %'
              key: 'vfs.fs.inode[{#FSNAME},pfree]'
              history: 7d
              value_type: FLOAT
              units: '%'
              tags:
                - tag: componente
                  value: armazenamento
                - tag: 'sistema de arquivos'
                  value: '{#IFNAME}'
              trigger_prototypes:
                - uuid: 182d6e9dee6646a69c1e3ba7246811aa
                  expression: 'min(/Monitoramento Speedtest/vfs.fs.inode[{#FSNAME},pfree],5m)<{$VFS.FS.INODE.PFREE.MIN.CRIT:"{#FSNAME}"}'
                  name: '{#FSNAME}: Inodes livres esgotados'
                  event_name: '{#FSNAME}: Faltando inodes livres (livres < {$VFS.FS.INODE.PFREE.MIN.CRIT:"{#FSNAME}"}%)'
                  opdata: 'Inode Livres: {ITEM.LASTVALUE1}'
                  priority: AVERAGE
                  description: |
                    Pode tornar-se impossível gravar em disco se não houver mais nós de índice disponíveis.
                    As seguintes mensagens de erro podem ser exibidas como sintomas, mesmo que haja espaço livre disponível:
                    - 'Não há espaço disponível no dispositivo';
                    - 'O disco está cheio'.
                  tags:
                    - tag: escopo
                      value: capacidade
                    - tag: escopo
                      value: performance
                - uuid: 9942992557d549f2853709ca9e2aca1a
                  expression: 'min(/Monitoramento Speedtest/vfs.fs.inode[{#FSNAME},pfree],5m)<{$VFS.FS.INODE.PFREE.MIN.WARN:"{#FSNAME}"}'
                  name: '{#FSNAME}: Inodes livres esgotados'
                  event_name: '{#FSNAME}: Faltando inodes livres (livres < {$VFS.FS.INODE.PFREE.MIN.WARN:"{#FSNAME}"}%)'
                  opdata: 'Free inodes: {ITEM.LASTVALUE1}'
                  priority: WARNING
                  description: |
                    Pode tornar-se impossível gravar em disco se não houver mais nós de índice disponíveis.
                    As seguintes mensagens de erro podem ser exibidas como sintomas, mesmo que haja espaço livre disponível:
                    - 'Não há espaço disponível no dispositivo';
                    - 'O disco está cheio'.
                  dependencies:
                    - name: '{#FSNAME}: Inodes livres esgotados'
                      expression: 'min(/Monitoramento Speedtest/vfs.fs.inode[{#FSNAME},pfree],5m)<{$VFS.FS.INODE.PFREE.MIN.CRIT:"{#FSNAME}"}'
                  tags:
                    - tag: escopo
                      value: capacidade
                    - tag: escopo
                      value: desempenho
            - uuid: 3416ef56d9644c4d9e5b4dcb6db4f98b
              name: '{#FSNAME}: Utilização de espaço'
              key: 'vfs.fs.size[{#FSNAME},pused]'
              history: 7d
              value_type: FLOAT
              units: '%'
              description: 'Utilização do espaço expressa em % para {#FSNAME}.'
              tags:
                - tag: componente
                  value: armazenamento
                - tag: 'sistema de arquivos'
                  value: '{#IFNAME}'
            - uuid: 44901469e0be4a1d8a4272135247dd07
              name: '{#FSNAME}: Espaço total'
              key: 'vfs.fs.size[{#FSNAME},total]'
              history: 7d
              units: B
              description: 'Espaço total em bytes'
              tags:
                - tag: componente
                  value: armazenamento
                - tag: 'sistema de arquivos'
                  value: '{#FSNAME}'
            - uuid: f93d8e3484084cefb7d5b9ef3da93e12
              name: '{#FSNAME}: Espaço utilizado'
              key: 'vfs.fs.size[{#FSNAME},used]'
              history: 7d
              units: B
              description: 'Armazenamento usado em bytes'
              tags:
                - tag: componente
                  value: armazenamento
                - tag: 'sistema de arquivos'
                  value: '{#IFNAME}'
          trigger_prototypes:
            - uuid: 7d06fc1efe48482cb1555d0636a55f28
              expression: |
                last(/Monitoramento Speedtest/vfs.fs.size[{#FSNAME},pused])>{$VFS.FS.PUSED.MAX.CRIT:"{#FSNAME}"} and
                ((last(/Monitoramento Speedtest/vfs.fs.size[{#FSNAME},total])-last(/Monitoramento Speedtest/vfs.fs.size[{#FSNAME},used]))<{$VFS.FS.FREE.MIN.CRIT:"{#FSNAME}"} or timeleft(/Monitoramento Speedtest/vfs.fs.size[{#FSNAME},pused],1h,100)<1d)
              name: '{#FSNAME}: O espaço em disco está criticamente baixo'
              event_name: '{#FSNAME}: O espaço em disco está criticamente baixo (usado > {$VFS.FS.PUSED.MAX.CRIT:"{#FSNAME}"}%)'
              opdata: 'Espaço Usado: {ITEM.LASTVALUE3} de {ITEM.LASTVALUE2} ({ITEM.LASTVALUE1})'
              priority: AVERAGE
              description: |
                Duas condições devem ser atendidas:
                1. A primeira condição - a utilização do espaço deve ser superior a `{$VFS.FS.PUSED.MAX.CRIT:"{#FSNAME}"}`.
                
                2. A segunda condição deve ser uma das seguintes:
                - o espaço livre em disco é inferior a `{$VFS.FS.FREE.MIN.CRIT:"{#FSNAME}"}`;
                - o disco ficará cheio em menos de 24 horas.
              manual_close: 'YES'
              tags:
                - tag: escopo
                  value: capacidade
                - tag: escopo
                  value: disponibilidade
            - uuid: 0d14c538fa0e4f3fb839c57ab96b0f0e
              expression: |
                last(/Monitoramento Speedtest/vfs.fs.size[{#FSNAME},pused])>{$VFS.FS.PUSED.MAX.WARN:"{#FSNAME}"} and
                ((last(/Monitoramento Speedtest/vfs.fs.size[{#FSNAME},total])-last(/Monitoramento Speedtest/vfs.fs.size[{#FSNAME},used]))<{$VFS.FS.FREE.MIN.WARN:"{#FSNAME}"} or timeleft(/Monitoramento Speedtest/vfs.fs.size[{#FSNAME},pused],1h,100)<1d)
              name: '{#FSNAME}: Pouco espaço em disco disponível'
              event_name: '{#FSNAME}: Espaço em disco insuficiente (usado > {$VFS.FS.PUSED.MAX.WARN:"{#FSNAME}"}%)'
              opdata: 'Espaço utilizado: {ITEM.LASTVALUE3} de {ITEM.LASTVALUE2} ({ITEM.LASTVALUE1})'
              priority: WARNING
              description: |
                Duas condições devem ser atendidas:
                1. A primeira condição - a utilização do espaço deve ser superior a `{$VFS.FS.PUSED.MAX.WARN:"{#FSNAME}"}`.
                
                2. A segunda condição deve ser uma das seguintes:
                - o espaço livre em disco é inferior a `{$VFS.FS.FREE.MIN.WARN:"{#FSNAME}"}`;
                - o disco ficará cheio em menos de 24 horas.
              manual_close: 'YES'
              dependencies:
                - name: '{#FSNAME}: O espaço em disco está criticamente baixo'
                  expression: |
                    last(/Monitoramento Speedtest/vfs.fs.size[{#FSNAME},pused])>{$VFS.FS.PUSED.MAX.CRIT:"{#FSNAME}"} and
                    ((last(/Monitoramento Speedtest/vfs.fs.size[{#FSNAME},total])-last(/Monitoramento Speedtest/vfs.fs.size[{#FSNAME},used]))<{$VFS.FS.FREE.MIN.CRIT:"{#FSNAME}"} or timeleft(/Monitoramento Speedtest/vfs.fs.size[{#FSNAME},pused],1h,100)<1d)
              tags:
                - tag: escopo
                  value: capacidade
                - tag: escopo
                  value: escopo
          graph_prototypes:
            - uuid: eedcedac8ab74d1ab0d30cdcef88f397
              name: '{#FSNAME}: Uso do espaço em disco'
              width: '600'
              height: '340'
              yaxismax: '0'
              show_work_period: 'NO'
              show_triggers: 'NO'
              type: PIE
              show_3d: 'YES'
              graph_items:
                - color: '969696'
                  calc_fnc: LAST
                  type: GRAPH_SUM
                  item:
                    host: 'Monitoramento Speedtest'
                    key: 'vfs.fs.size[{#FSNAME},total]'
                - sortorder: '1'
                  color: C80000
                  calc_fnc: LAST
                  item:
                    host: 'Monitoramento Speedtest'
                    key: 'vfs.fs.size[{#FSNAME},used]'
          overrides:
            - name: 'Skip metadata collection for dynamic FS'
              step: '1'
              filter:
                conditions:
                  - macro: '{#FSTYPE}'
                    value: ^(btrfs|zfs)$
                    formulaid: A
              operations:
                - operationobject: ITEM_PROTOTYPE
                  operator: LIKE
                  value: inode
                  discover: NO_DISCOVER
      tags:
        - tag: alvo
          value: linux
        - tag: classe
          value: 'sistema operacional'
      macros:
        - macro: '{$AGENT.TIMEOUT}'
          value: 3m
          description: 'Tempo limite após o qual o agente é considerado indisponível. Funciona apenas para agentes acessíveis a partir do servidor/proxy Zabbix (modo passivo).'
        - macro: '{$CPU.UTIL.CRIT}'
          value: '90'
        - macro: '{$IF.ERRORS.WARN}'
          value: '2'
        - macro: '{$IF.UTIL.MAX}'
          value: '90'
          description: 'Essa macro é usada como um limite no gatilho de utilização da interface.'
        - macro: '{$IFCONTROL}'
          value: '1'
        - macro: '{$KERNEL.MAXFILES.MIN}'
          value: '256'
        - macro: '{$KERNEL.MAXPROC.MIN}'
          value: '1024'
        - macro: '{$LOAD_AVG_PER_CPU.MAX.WARN}'
          value: '1.5'
          description: 'A carga da CPU por núcleo é considerada sustentável. Se necessário, pode ser ajustada.'
        - macro: '{$MEMORY.AVAILABLE.MIN}'
          value: 20M
          description: 'Essa macro é usada como um limite no gatilho de memória disponível.'
        - macro: '{$MEMORY.UTIL.MAX}'
          value: '90'
          description: 'Essa macro é usada como um limite no gatilho de utilização de memória.'
        - macro: '{$NET.IF.IFNAME.MATCHES}'
          value: '^.*$'
        - macro: '{$NET.IF.IFNAME.NOT_MATCHES}'
          value: '(^Software Loopback Interface|^NULL[0-9.]*$|^[Ll]o[0-9.]*$|^[Ss]ystem$|^Nu[0-9.]*$|^veth[0-9A-z]+$|docker[0-9]+|br-[a-z0-9]{12})'
          description: 'Por padrão, ele filtra links `loopback`, `null`, `docker veth` e `docker0 bridge`.'
        - macro: '{$SWAP.PFREE.MIN.WARN}'
          value: '50'
        - macro: '{$SYSTEM.FUZZYTIME.MAX}'
          value: '60'
        - macro: '{$VFS.DEV.DEVNAME.MATCHES}'
          value: .+
          description: 'Esta macro é usada para a descoberta de dispositivos de bloco. Ela pode ser sobrescrita no nível do host ou no nível do modelo vinculado.'
        - macro: '{$VFS.DEV.DEVNAME.NOT_MATCHES}'
          value: '^(loop[0-9]*|sd[a-z][0-9]+|nbd[0-9]+|sr[0-9]+|fd[0-9]+|dm-[0-9]+|ram[0-9]+|ploop[a-z0-9]+|md[0-9]*|hcp[0-9]*|zram[0-9]*)'
          description: 'Esta macro é usada para a descoberta de dispositivos de bloco. Ela pode ser sobrescrita no nível do host ou no nível do modelo vinculado.'
        - macro: '{$VFS.DEV.READ.AWAIT.WARN}'
          value: '20'
          description: 'The average response time (in ms) of disk read before the trigger would fire.'
        - macro: '{$VFS.DEV.WRITE.AWAIT.WARN}'
          value: '20'
          description: 'Tempo médio de resposta (em ms) da gravação em disco antes do acionamento do gatilho.'
        - macro: '{$VFS.FS.FREE.MIN.CRIT}'
          value: 5G
          description: 'O limite crítico para a utilização do sistema de arquivos.'
        - macro: '{$VFS.FS.FREE.MIN.WARN}'
          value: 10G
          description: 'O limite de aviso para utilização do sistema de arquivos.'
        - macro: '{$VFS.FS.FSNAME.MATCHES}'
          value: .+
          description: 'Esta macro é usada para a descoberta de sistemas de arquivos. Ela pode ser substituída no nível do host ou no nível do modelo vinculado.'
        - macro: '{$VFS.FS.FSNAME.NOT_MATCHES}'
          value: ^(/dev|/sys|/run|/proc|.+/shm$)
          description: 'Esta macro é usada para a descoberta de sistemas de arquivos. Ela pode ser substituída no nível do host ou no nível do modelo vinculado.'
        - macro: '{$VFS.FS.FSTYPE.MATCHES}'
          value: ^(btrfs|ext2|ext3|ext4|reiser|xfs|ffs|ufs|jfs|jfs2|vxfs|hfs|apfs|refs|ntfs|fat32|zfs)$
          description: 'Esta macro é usada para a descoberta de sistemas de arquivos. Ela pode ser substituída no nível do host ou no nível do modelo vinculado.'
        - macro: '{$VFS.FS.FSTYPE.NOT_MATCHES}'
          value: ^\s$
          description: 'Esta macro é usada para a descoberta de sistemas de arquivos. Ela pode ser substituída no nível do host ou no nível do modelo vinculado.'
        - macro: '{$VFS.FS.INODE.PFREE.MIN.CRIT}'
          value: '10'
          description: 'O limite crítico de utilização dos metadados do sistema de arquivos.'
        - macro: '{$VFS.FS.INODE.PFREE.MIN.WARN}'
          value: '20'
          description: 'O limite de alerta da utilização de metadados do sistema de arquivos.'
        - macro: '{$VFS.FS.PUSED.MAX.CRIT}'
          value: '90'
          description: 'O limite crítico de utilização do sistema de arquivos.'
        - macro: '{$VFS.FS.PUSED.MAX.WARN}'
          value: '80'
          description: 'O limite de alerta da utilização do sistema de arquivos.'
      dashboards:
        - uuid: c16e2b45e1f4494e84882f0aaa601263
          name: 'Desempenho do Sistema'
          pages:
            - widgets:
                - type: graph
                  width: '36'
                  height: '5'
                  fields:
                    - type: GRAPH
                      name: graphid
                      value:
                        host: 'Monitoramento Speedtest'
                        name: 'Linux: Carga do Sistema'
                    - type: STRING
                      name: reference
                      value: AAAAA
                - type: graph
                  'y': '5'
                  width: '36'
                  height: '5'
                  fields:
                    - type: GRAPH
                      name: graphid
                      value:
                        host: 'Monitoramento Speedtest'
                        name: 'Linux: Uso de memória'
                    - type: STRING
                      name: reference
                      value: AAAAB
                - type: graphprototype
                  'y': '10'
                  width: '72'
                  height: '5'
                  fields:
                    - type: INTEGER
                      name: columns
                      value: '1'
                    - type: GRAPH_PROTOTYPE
                      name: graphid
                      value:
                        host: 'Monitoramento Speedtest'
                        name: '{#FSNAME}: Uso do espaço em disco'
                    - type: STRING
                      name: reference
                      value: AAAAC
                - type: graphprototype
                  'y': '15'
                  width: '72'
                  height: '5'
                  fields:
                    - type: INTEGER
                      name: columns
                      value: '1'
                    - type: GRAPH_PROTOTYPE
                      name: graphid
                      value:
                        host: 'Monitoramento Speedtest'
                        name: '{#DEVNAME}: Taxas de leitura/gravação de disco'
                    - type: STRING
                      name: reference
                      value: AAAAD
                - type: graphprototype
                  'y': '20'
                  width: '72'
                  height: '5'
                  fields:
                    - type: INTEGER
                      name: columns
                      value: '1'
                    - type: GRAPH_PROTOTYPE
                      name: graphid
                      value:
                        host: 'Monitoramento Speedtest'
                        name: '{#DEVNAME}: Tempo médio de espera do disco'
                    - type: STRING
                      name: reference
                      value: AAAAE
                - type: graphprototype
                  'y': '25'
                  width: '72'
                  height: '5'
                  fields:
                    - type: INTEGER
                      name: columns
                      value: '1'
                    - type: GRAPH_PROTOTYPE
                      name: graphid
                      value:
                        host: 'Monitoramento Speedtest'
                        name: '{#DEVNAME}: Utilização de disco e fila'
                    - type: STRING
                      name: reference
                      value: AAAAF
                - type: graphprototype
                  'y': '30'
                  width: '72'
                  height: '5'
                  fields:
                    - type: INTEGER
                      name: columns
                      value: '1'
                    - type: GRAPH_PROTOTYPE
                      name: graphid
                      value:
                        host: 'Monitoramento Speedtest'
                        name: 'Interface {#IFNAME}: Network traffic'
                    - type: STRING
                      name: reference
                      value: AAAAG
                - type: graph
                  x: '36'
                  width: '36'
                  height: '5'
                  fields:
                    - type: GRAPH
                      name: graphid
                      value:
                        host: 'Monitoramento Speedtest'
                        name: 'Linux: Uso da CPU'
                    - type: STRING
                      name: reference
                      value: AAAAH
                - type: graph
                  x: '36'
                  'y': '5'
                  width: '36'
                  height: '5'
                  fields:
                    - type: GRAPH
                      name: graphid
                      value:
                        host: 'Monitoramento Speedtest'
                        name: 'Linux: Utilização de swap'
                    - type: STRING
                      name: reference
                      value: AAAAI
        - uuid: 86a4a1b3a95f4999a103bf0ae7b8cfa4
          name: 'Interfaces de Rede'
          pages:
            - name: Overview
              widgets:
                - type: graphprototype
                  width: '72'
                  height: '5'
                  fields:
                    - type: INTEGER
                      name: columns
                      value: '1'
                    - type: GRAPH_PROTOTYPE
                      name: graphid
                      value:
                        host: 'Monitoramento Speedtest'
                        name: 'Interface {#IFNAME}: Network traffic'
                    - type: STRING
                      name: reference
                      value: AAAAA
      valuemaps:
        - uuid: 74c94e880cff4c7ebf79698969ca6eb4
          name: ifOperStatus
          mappings:
            - value: '0'
              newvalue: desconhecido
            - value: '1'
              newvalue: 'não presente'
            - value: '2'
              newvalue: down
            - value: '3'
              newvalue: 'camada inferior down'
            - value: '4'
              newvalue: testando
            - value: '5'
              newvalue: dormente
            - value: '6'
              newvalue: up
        - uuid: cbaf2f2bbc6e4b61ba19ddfe9e814832
          name: 'Linux::Tipos de protocolo de Interface'
          mappings:
            - value: '0'
              newvalue: 'from KA9Q: NET/ROM pseudo'
            - value: '1'
              newvalue: Ethernet
            - value: '2'
              newvalue: 'Experimental Ethernet'
            - value: '3'
              newvalue: 'AX.25 Level 2'
            - value: '4'
              newvalue: 'PROnet token ring'
            - value: '5'
              newvalue: Chaosnet
            - value: '6'
              newvalue: 'IEEE 802.2 Ethernet/TR/TB'
            - value: '7'
              newvalue: ARCnet
            - value: '8'
              newvalue: APPLEtalk
            - value: '15'
              newvalue: 'Frame Relay DLCI'
            - value: '19'
              newvalue: ATM
            - value: '23'
              newvalue: 'Metricom STRIP (new IANA id)'
            - value: '24'
              newvalue: 'IEEE 1394 IPv4 - RFC 2734'
            - value: '27'
              newvalue: EUI-64
            - value: '32'
              newvalue: InfiniBand
            - value: '256'
              newvalue: ARPHRD_SLIP
            - value: '257'
              newvalue: ARPHRD_CSLIP
            - value: '258'
              newvalue: ARPHRD_SLIP6
            - value: '259'
              newvalue: ARPHRD_CSLIP6
            - value: '260'
              newvalue: 'Notional KISS type'
            - value: '264'
              newvalue: ARPHRD_ADAPT
            - value: '270'
              newvalue: ARPHRD_ROSE
            - value: '271'
              newvalue: 'CCITT X.25'
            - value: '272'
              newvalue: 'Boards with X.25 in firmware'
            - value: '280'
              newvalue: 'Controller Area Network'
            - value: '512'
              newvalue: ARPHRD_PPP
            - value: '513'
              newvalue: 'Cisco HDLC'
            - value: '516'
              newvalue: LAPB
            - value: '517'
              newvalue: 'Digital''s DDCMP protocol'
            - value: '518'
              newvalue: 'Raw HDLC'
            - value: '519'
              newvalue: 'Raw IP'
            - value: '768'
              newvalue: 'IPIP tunnel'
            - value: '769'
              newvalue: 'IP6IP6 tunnel'
            - value: '770'
              newvalue: 'Frame Relay Access Device'
            - value: '771'
              newvalue: 'SKIP vif'
            - value: '772'
              newvalue: 'Loopback device'
            - value: '773'
              newvalue: 'Localtalk device'
            - value: '774'
              newvalue: 'Fiber Distributed Data Interface'
            - value: '775'
              newvalue: 'AP1000 BIF'
            - value: '776'
              newvalue: 'sit0 device - IPv6-in-IPv4'
            - value: '777'
              newvalue: 'IP over DDP tunneller'
            - value: '778'
              newvalue: 'GRE over IP'
            - value: '779'
              newvalue: 'PIMSM register interface'
            - value: '780'
              newvalue: 'High Performance Parallel Interface'
            - value: '781'
              newvalue: 'Nexus 64Mbps Ash'
            - value: '782'
              newvalue: 'Acorn Econet'
            - value: '783'
              newvalue: Linux-IrDA
            - value: '784'
              newvalue: 'Point to point fibrechannel'
            - value: '785'
              newvalue: 'Fibrechannel arbitrated loop'
            - value: '786'
              newvalue: 'Fibrechannel public loop'
            - value: '787'
              newvalue: 'Fibrechannel fabric'
            - value: '800'
              newvalue: 'Magic type ident for TR'
            - value: '801'
              newvalue: 'IEEE 802.11'
            - value: '802'
              newvalue: 'IEEE 802.11 + Prism2 header'
            - value: '803'
              newvalue: 'IEEE 802.11 + radiotap header'
            - value: '804'
              newvalue: ARPHRD_IEEE802154
            - value: '805'
              newvalue: 'IEEE 802.15.4 network monitor'
            - value: '820'
              newvalue: 'PhoNet media type'
            - value: '821'
              newvalue: 'PhoNet pipe header'
            - value: '822'
              newvalue: 'CAIF media type'
            - value: '823'
              newvalue: 'GRE over IPv6'
            - value: '824'
              newvalue: 'Netlink header'
            - value: '825'
              newvalue: 'IPv6 over LoWPAN'
            - value: '826'
              newvalue: 'Vsock monitor header'
        - uuid: 525a996cb8454d3ebff896760a1a8164
          name: 'Mapeamento de Portas'
          mappings:
            - value: '0'
              newvalue: Fechada
            - value: '1'
              newvalue: Aberta
        - uuid: b2c9f45076954d92b8a2eaa1621b26f8
          name: Speed
          mappings:
            - value: '-1'
              newvalue: 'Interface Virtualizada'
        - uuid: cc4ab702ce7e483fbb5709e648aeb6cd
          name: 'Status do Serviço'
          mappings:
            - value: '0'
              newvalue: Desativado
            - value: '1'
              newvalue: Ativado
        - uuid: d51918a355dc41e1a45af313d015d477
          name: zabbix.host.available
          mappings:
            - value: '0'
              newvalue: Indisponível
            - value: '1'
              newvalue: Disponível
            - value: '2'
              newvalue: Desconhecido
        - uuid: 7330e8df4dfb483fbba4afcbbf47fbdb
          name: 'Zabbix agent ping status'
          mappings:
            - value: '1'
              newvalue: Up
  triggers:
    - uuid: 517d53e0e838457d93a15f683b7a0f82
      expression: 'max(/Monitoramento Speedtest/system.swap.size[,pfree],5m)<{$SWAP.PFREE.MIN.WARN} and last(/Monitoramento Speedtest/system.swap.size[,total])>0'
      name: 'Linux: Alto uso de espaço de swap'
      event_name: 'Linux: Alto uso de espaço de swap (menos de {$SWAP.PFREE.MIN.WARN}% livre)'
      opdata: 'Livre: {ITEM.LASTVALUE1}, Total: {ITEM.LASTVALUE2}'
      priority: WARNING
      description: 'Se não houver nenhuma troca configurada, esse gatilho será ignorado.'
      manual_close: 'YES'
      dependencies:
        - name: 'Linux: Alto consumo de memória'
          expression: 'min(/Monitoramento Speedtest/vm.memory.utilization,5m)>{$MEMORY.UTIL.MAX}'
        - name: 'Linux: Falta de memória disponível'
          expression: 'max(/Monitoramento Speedtest/vm.memory.size[available],5m)<{$MEMORY.AVAILABLE.MIN} and last(/Monitoramento Speedtest/vm.memory.size[total])>0'
      tags:
        - tag: escopo
          value: capacidade
    - uuid: 67d462c5a0564567a6a618a294ea1783
      expression: |
        min(/Monitoramento Speedtest/system.cpu.load[all,avg1],5m)/last(/Monitoramento Speedtest/system.cpu.num)>{$LOAD_AVG_PER_CPU.MAX.WARN}
        and last(/Monitoramento Speedtest/system.cpu.load[all,avg5])>0
        and last(/Monitoramento Speedtest/system.cpu.load[all,avg15])>0
      name: 'Linux: A média de carga está muito alta'
      event_name: 'Linux: A média de carga está muito alta (carga por CPU acima de {$LOAD_AVG_PER_CPU.MAX.WARN} por 5 minutos)'
      opdata: 'Médias de carga (1m 5m 15m): ({ITEM.LASTVALUE1} {ITEM.LASTVALUE3} {ITEM.LASTVALUE4}), nº de CPUs: {ITEM.LASTVALUE2}'
      priority: AVERAGE
      description: 'A carga média por CPU está muito alta. O sistema pode apresentar lentidão na resposta.'
      manual_close: 'YES'
      tags:
        - tag: escopo
          value: capacidade
        - tag: escopo
          value: desempenho
    - uuid: 097ce4e86c6b4d69b2143759d78787e8
      expression: 'max(/Monitoramento Speedtest/vm.memory.size[available],5m)<{$MEMORY.AVAILABLE.MIN} and last(/Monitoramento Speedtest/vm.memory.size[total])>0'
      name: 'Linux: Falta de memória disponível'
      event_name: 'Linux: Falta de memória disponível (<{$MEMORY.AVAILABLE.MIN} de {ITEM.VALUE2})'
      opdata: 'Disponível: {ITEM.LASTVALUE1}, Total: {ITEM.LASTVALUE2}'
      priority: AVERAGE
      manual_close: 'YES'
      tags:
        - tag: escopo
          value: capacidade
        - tag: escopo
          value: desempenho
  graphs:
    - uuid: 7a99a5925b164775a1a74e9d20bb5c26
      name: 'Linux: Carga do Sistema'
      ymin_type_1: FIXED
      graph_items:
        - color: 199C0D
          item:
            host: 'Monitoramento Speedtest'
            key: 'system.cpu.load[all,avg1]'
        - sortorder: '1'
          color: F63100
          item:
            host: 'Monitoramento Speedtest'
            key: 'system.cpu.load[all,avg5]'
        - sortorder: '2'
          color: 00611C
          item:
            host: 'Monitoramento Speedtest'
            key: 'system.cpu.load[all,avg15]'
        - sortorder: '3'
          color: F7941D
          yaxisside: RIGHT
          item:
            host: 'Monitoramento Speedtest'
            key: system.cpu.num
    - uuid: 91dc4124a9cb4a7681a744ba497707ca
      name: 'Linux: Uso da CPU'
      type: STACKED
      ymin_type_1: FIXED
      ymax_type_1: FIXED
      graph_items:
        - color: 199C0D
          item:
            host: 'Monitoramento Speedtest'
            key: 'system.cpu.util[,system]'
        - sortorder: '3'
          color: F7941D
          item:
            host: 'Monitoramento Speedtest'
            key: 'system.cpu.util[,iowait]'
    - uuid: 2cf5f03a76e44fcb9a7e8030a56f7de4
      name: 'Linux: Uso de memória'
      ymin_type_1: FIXED
      graph_items:
        - drawtype: BOLD_LINE
          color: 199C0D
          item:
            host: 'Monitoramento Speedtest'
            key: 'vm.memory.size[total]'
        - sortorder: '1'
          drawtype: GRADIENT_LINE
          color: F63100
          item:
            host: 'Monitoramento Speedtest'
            key: 'vm.memory.size[available]'
    - uuid: 05070665e17e4ff8aece7ac13a06428e
      name: 'Linux: Utilização de memória'
      ymin_type_1: FIXED
      ymax_type_1: FIXED
      graph_items:
        - drawtype: GRADIENT_LINE
          color: 199C0D
          item:
            host: 'Monitoramento Speedtest'
            key: vm.memory.utilization
    - uuid: c23cb1cbad6741c68791c9d1fc684ecb
      name: 'Linux: Utilização de swap'
      graph_items:
        - color: 199C0D
          item:
            host: 'Monitoramento Speedtest'
            key: 'system.swap.size[,free]'
        - sortorder: '1'
          color: F63100
          item:
            host: 'Monitoramento Speedtest'
            key: 'system.swap.size[,total]'
